<?php

/* $Id: admin.php,v 1.1.1.1.2.2 2001/11/28 17:23:50 justin Exp $ */

require("config.inc.php");
require("common.inc.php");

/* require admin user */
if ($login_name != "admin") {

    header("Location: " . $CONFIG["relative_path"] . "/index.php");
    exit();

}

/* determine page function */
switch ($action) {
    case "create":
        $fields = array("name", "email", "username", "password", "signature");
        for ($loop = 0; $loop < count($fields); $loop++) {
            $values[] = "'" . escape_string($$fields[$loop]) . "'";
        }
        $fields_string = join(", ", $fields);
        $values_string = join(", ", $values);
        do_query("INSERT INTO users ($fields_string) VALUES ($values_string)", $db_link);
        $title = "User Created";
        $content = "<tr><td align=\"center\" colspan=\"3\">The user has been created.</td></tr>\n";
        break;
    case "Apply changes":
        $fields = array("name", "email", "password", "signature");
        for ($loop = 0; $loop < count($fields); $loop++) {
            $update_fields[] = $fields[$loop] . " = '" . escape_string($$fields[$loop]) . "'";
        }
        $update_string = join(", ", $update_fields);
        do_query("UPDATE users SET $update_string WHERE id = '$id'", $db_link);
        $title = "User Updated";
        $content = "<tr><td align=\"center\" colspan=\"3\">The user profile has been updated.</td></tr>\n";
        break;
    case "Delete this user":
        do_query("DELETE FROM users WHERE id = '$id'", $db_link);
        $title = "User Deleted";
        $content = "<tr><td align=\"center\" colspan=\"3\">The user has been deleted.</td></tr>\n";
        break;
    case "new":
        $title = "Create User";
        $content = "<tr><td><b>Name</b></td><td colspan=\"2\"><font size=\"-1\"><input type=\"text\" name=\"name\" size=\"20\"></font></td></tr>\n";
        $content .= "<tr><td><b>Email</b> </td><td colspan=\"2\"><font size=\"-1\"><input type=\"text\" name=\"email\" size=\"20\"></font></td></tr>\n";
        $content .= "<tr><td><b>Username</b></td><td colspan=\"2\"><font size=\"-1\"><input type=\"text\" name=\"username\" size=\"20\"></font></td></tr>\n";
        $content .= "<tr><td><b>Password</b></td><td colspan=\"2\"><font size=\"-1\"><input type=\"password\" name=\"password\" size=\"20\"></font></td></tr>\n";
        $content .= "<tr><td><b>Signature</b></td><td colspan=\"2\"><tt><textarea name=\"signature\" cols=\"72\" rows=\"3\"></textarea></tt></td></tr>\n";
        $content .= "<tr><td><br></td><td colspan=\"2\"><font size=\"-1\"><input type=\"submit\" value=\"Create user\"></font></td></tr>\n";
        $content .= "<input type=\"hidden\" name=\"action\" value=\"create\">\n";
        break;
    case "edit":
        $title = "Edit User";
        $user_info = query2hash("SELECT * FROM users WHERE id = '$id'", $db_link);
        $content = "<tr><td><b>Name</b></td><td colspan=\"2\"><font size=\"-1\"><input type=\"text\" name=\"name\" size=\"20\" value=\"" . $user_info["name"] . "\"></font></td></tr>\n";
        $content .= "<tr><td><b>Email</b> </td><td colspan=\"2\"><font size=\"-1\"><input type=\"text\" name=\"email\" size=\"20\" value=\"" . $user_info["email"] . "\"></font></td></tr>\n";
        $content .= "<tr><td><b>Password</b></td><td colspan=\"2\"><font size=\"-1\"><input type=\"password\" name=\"password\" size=\"20\" value=\"" . $user_info["password"] . "\"></font></td></tr>\n";
        $content .= "<tr><td><b>Signature</b></td><td colspan=\"2\"><tt><textarea name=\"signature\" cols=\"72\" rows=\"3\">" . $user_info["signature"] . "</textarea></tt></td></tr>\n";
        $content .= "<tr><td><br></td><td colspan=\"2\"><font size=\"-1\"><input type=\"submit\" name=\"action\" value=\"Apply changes\"> <input type=\"submit\" name=\"action\" value=\"Delete this user\"></font></td></tr>\n";
        $content .= "<input type=\"hidden\" name=\"id\" value=\"" . $user_info["id"] . "\">\n";
        $content .= "<input type=\"hidden\" name=\"old_password\" value=\"" . $user_info["password"] . "\">\n";
        break;
    default:
        $title = "User Administration";
        $content = "<tr><td align=\"center\"><b>Edit</b></td><td><b>User</b></td><td><b>Email</b></td></tr>\n";
        $result = do_query("SELECT id, name, email FROM users WHERE username != 'admin' ORDER BY id", $db_link);
        while ($row = result2hash($result)) {
            $content .= "<tr>";
            $content .= "<td align=\"center\"><a href=\"$PHP_SELF?action=edit&id=" . $row["id"] . "\"><img src=\"" . $CONFIG["relative_path"] . "/posticon.gif\" border=\"0\" alt=\"[*]\"></a></td>";
            $content .= "<td>" . $row["name"] . "</td>";
            $content .= "<td>" . $row["email"] . "</td>";
            $content .= "</tr>\n";
        }
}

/* start page */
common_header($title);

/* start table */
print("<table width=\"75%\" border=\"1\" cellspacing=\"5\" cellpadding=\"5\">\n");
print("<tr>\n");
print("<td colspan=\"3\" align=\"center\" bgcolor=\"" . $CONFIG["heading_color"] . "\">\n");
print("<div class=\"heading\">$title</div>\n");
print("</td>\n");
print("</tr>\n");

/* output content */
print($content);

/* output actions */
print("<tr>\n");
print("<td align=\"left\" valign=\"top\"><br></td>");
print("<td align=\"left\" valign=\"top\" colspan=\"2\">\n");
print("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
print("<tr><td align=\"left\">");
if ($action) {
    print("<a href=\"$PHP_SELF\">Return to user list</a>");
}
else {
    print("<a href=\"$PHP_SELF?action=new\">Create new user</a>");
}
print("</td>\n");
print("<td align=\"right\"><a href=\"$PHP_SELF?logout=1\">Logout</a></td></tr>\n");
print("</table>\n");
print("</td>");
print("</tr>\n");

/* end table */
print("</table>\n");

/* end page */
common_footer();

?>
