<?php

/* $Id: followup.php,v 1.1.1.1.2.5 2001/08/13 19:37:14 justin Exp $ */

require("config.inc.php");
require("common.inc.php");

/* set title */
$title = "Post Followup";

/* setup fields */
$fields = array("headings" => array("Subject", "Cc", "<br>"),
                "columns"  => array("subject", "cc", "body"),
                "types"    => array("subject", "cc", "followup"));

/* prepare ticket parent */
if (!$ticket_parent) {
    $ticket_parent = $ticket;
}
    
if ($followup) {
    
    /* prepare fields */
    $timestamp = time();
    list($from_name, $from_email) = query2array("SELECT name, email FROM users WHERE id = '$login_id'", $db_link);
    $author = "\"$from_name\" <$from_email>";
    if (!$recipient) {
        $recipient = query2result("SELECT author FROM tickets WHERE ticket = '$ticket_parent'", $db_link);
    }
    
    /* prepare posted stuff */
    $recipient = stripslashes($recipient);
    $subject = stripslashes($subject);
    $followup = stripslashes($followup);
    $cc = stripslashes($cc);
    
    /* fix subject */
    chop($subject);
    $subject = "[#$ticket_parent] " . $subject;
    
    /* prepare extra headers */
    $headers = "From: $author\n";
    $headers .= "Reply-To: " . $CONFIG["reply_to"];
    $headers .= $cc ? "\nCc: $cc" : "";
    $headers .= "\nX-Mailer: $xmailer";
    
    /* mail the followup */
    @mail($recipient, $subject, $followup, $headers) || fatal_error("Unable to mail followup.  Quit without recording followup to database.");
    
    /* escape special characters */
    $author = addslashes($author);
    $recipient = addslashes($recipient);
    $subject = addslashes($subject);
    $followup = addslashes($followup);
    $cc = addslashes($cc);
    
    /* do database insert */
    $query = "INSERT INTO tickets (author, subject, recipient, body, cc, timestamp, type, assignment, parent) ";
    $query .= "VALUES ('$author','$subject','$recipient','$followup','$cc','$timestamp','Staff Followup','9999','$ticket_parent')";
    do_query($query, $db_link);
    
    /* update parent activity */
    do_query("UPDATE tickets SET activity = '$timestamp' WHERE ticket = '$ticket_parent'", $db_link);
    
    /* redirect to parent */
    header("Location: " . $CONFIG["relative_path"] . "/view.php?ticket=$ticket_parent");
    exit();

}

else {

    /* start page */
    common_header($title);

    /* start form */
    print("<input type=\"hidden\" name=\"ticket\" value=\"$ticket\">\n");

    /* start table */
    print("<table width=\"75%\" border=\"1\" cellspacing=\"5\" cellpadding=\"5\">\n");
    print("<tr>\n");
    print("<td colspan=\"2\" align=\"center\" bgcolor=\"" . $CONFIG["heading_color"] . "\">\n");
    print("<div class=\"heading\">$title</div>\n");
    print("</td>\n");
    print("</tr>\n");

    /* get ticket */
    $ticket_info = query2hash("SELECT * FROM tickets WHERE ticket = $ticket", $db_link);

    /* output From: line */
    print("<tr>\n");
    print("<td align=\"left\"><b>From</b></td>");
    list($from_name, $from_email) = query2array("SELECT name, email FROM users WHERE id = '$login_id'", $db_link);
    print("<td align=\"left\">" . $from_name . " &lt;" . $from_email . "&gt;</td>\n");
    print("</tr>\n");

    /* output To: line */
    print("<tr>\n");
    print("<td align=\"left\"><b>To</b></td>");
    $recipient = query2result("SELECT author FROM tickets WHERE ticket = '$ticket_parent'", $db_link);
    print("<td align=\"left\">" . format_field($recipient, "recipient") . "</td>\n");
    print("</tr>\n");
    
    /* output ticket */
    for ($loop = 0; $loop < count($fields["headings"]); $loop++) {
        print("<tr>\n");
        print("<td align=\"left\"><b>" . $fields["headings"][$loop] . "</b></td>");
        print("<td align=\"left\">" . format_field($ticket_info[$fields["columns"][$loop]], $fields["types"][$loop]) . "</td>\n");
        print("</tr>\n");
    }
    
    /* output submit button */
    print("<tr><td><br></td><td><font size=\"-1\"><input type=\"submit\" value=\"Post Followup\"></font></td></tr>\n");

    /* output actions */
    print("<tr>\n");
    print("<td align=\"left\" valign=\"top\"><br></td>");
    print("<td align=\"left\" valign=\"top\">\n");
    print("<a href=\"" . $CONFIG["relative_path"] . "/view.php?ticket=$ticket");
    print("\">Return to ticket</a> | <a href=\"" . $CONFIG["relative_path"] . "/index.php\">Return to ticket list</a></td></td>\n");
    print("</tr>\n");

    /* end table */
    print("</table>\n");

    /* end page */
    common_footer();
    
}

?>
